all: compile

compile:
	if [ ! -f go.mod ]; then \
		go mod init gitlab.com/wjm.elbers/"{{BINARY}}"; \
	fi
	go get
	CGO_ENABLED=0 GOARCH=amd64 GOOS=linux \
		go build -a -installsuffix cgo -ldflags="-s -w" -o "{{BINARY}}" *.go
